Package org.eclipse.rdf4j.query.algebra

## Class CompareAll

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.SubQueryValueOperator
    - - org.eclipse.rdf4j.query.algebra.CompareSubQueryValueOperator
      - - org.eclipse.rdf4j.query.algebra.CompareAll

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `GraphPatternGroupable`, `QueryModelNode`, `ValueExpr`, `VariableScopeChange`

      public class CompareAll
      extends CompareSubQueryValueOperator

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.CompareSubQueryValueOperator

      `arg`

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.SubQueryValueOperator

      `subQuery`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompareAll()` |
    `CompareAll​(ValueExpr valueExpr, TupleExpr subQuery, Compare.CompareOp operator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CompareAll` | `clone()` | Returns a (deep) clone of this query model node.
    `boolean` | `equals​(Object other)` | Returns true if this query model node and its children are recursively equal to o and its children.
    `Compare.CompareOp` | `getOperator()` |
    `String` | `getSignature()` | Default implementation of `QueryModelNode.getSignature()` that prints the name of the node's class.
    `int` | `hashCode()` |
    `void` | `setOperator​(Compare.CompareOp operator)` |
    `<X extends Exception> void` | `visit​(QueryModelVisitor<X> visitor)` | Visits this node.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.CompareSubQueryValueOperator

      `getArg, replaceChildNode, setArg, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.SubQueryValueOperator

      `getSubQuery, setSubQuery`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getTotalTimeNanosActual, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString`

- - ### Constructor Detail

    - #### CompareAll

          public CompareAll()

    - #### CompareAll

          public CompareAll​(ValueExpr valueExpr,
                            TupleExpr subQuery,
                            Compare.CompareOp operator)

  - ### Method Detail

    - #### getOperator

          public Compare.CompareOp getOperator()

    - #### setOperator

          public void setOperator​(Compare.CompareOp operator)

    - #### visit

          public <X extends Exception> void visit​(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Throws:
        `X extends Exception`

    - #### getSignature

          public String getSignature()

      Description copied from class: `AbstractQueryModelNode`
      Default implementation of `QueryModelNode.getSignature()` that prints the name of the node's class.
      Specified by:
        `getSignature` in interface `QueryModelNode`
      Overrides:
        `getSignature` in class `AbstractQueryModelNode`
      Returns:
        The node's signature, e.g. SLICE (offset=10, limit=10).

    - #### equals

          public boolean equals​(Object other)

      Description copied from interface: `QueryModelNode`
      Returns true if this query model node and its children are recursively equal to o and its children.
      Specified by:
        `equals` in interface `QueryModelNode`
      Overrides:
        `equals` in class `CompareSubQueryValueOperator`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `CompareSubQueryValueOperator`

    - #### clone

          public CompareAll clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `ValueExpr`
      Overrides:
        `clone` in class `CompareSubQueryValueOperator`
      Returns:
        A deep clone of this query model node.